/* $Id: db.h 125 2023-08-06 19:30:08Z nishi $ */
#ifndef __SWINEHUB_DB_H__
#define __SWINEHUB_DB_H__

#include <ndbm.h>

#include <openssl/sha.h>

#ifndef SWINEHUB_USERNAME_MAX
#define SWINEHUB_USERNAME_MAX 128
#endif

struct swinehub_user {
	char username[SWINEHUB_USERNAME_MAX + 1];
	unsigned char password[SHA512_DIGEST_LENGTH];
	char isteam;
};

int swinehub_db_init();
void swinehub_db_close();

#define EXTERN_DB	extern DBM* swinehub_token_db;\
			extern DBM* swinehub_user_db;

#endif
